# $Id$

Summary: rkhunter for SME Server
Name: smeserver-rkhunter
%define version 1.0.0
%define release 3
%define displayversion %{version}
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Applications/System
Source: smeserver-rkhunter-%{version}.tar.gz
Patch0: smeserver-rkhunter-1.0.0-fixQuotes.patch
BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
Requires: rkhunter
BuildRequires: perl, e-smith-devtools

%description
rkhunter for SME Server

%changelog
* Thu May 14 2009 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0.0-3
- Bump version number in order to move package to SME Contribs [SME: 5172]

* Tue Apr  7 2009 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0.0-2
- Remove quotes in DISABLE_TESTS setting [SME: 5149]

* Fri Apr  3 2009 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0.0-1
- Initial draft of rkhunter for SME Server
- Adjust ALLOW_SSH_ROOT_USER according to sshd PermitRootLogin setting [SME: 3718]

%prep
%setup
%patch0 -p1

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
